package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Kontoverbindung implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = false)
  private String bankleitzahl;

  @XmlElement(required = false)
  private String bic;

  @XmlElement(required = false)
  private String iban;

  @XmlElement(required = false)
  private String ibanBearbeiter;

  @XmlElement(required = false)
  private String ibanVorAenderung;

  @XmlElement(required = false)
  private String kontoinhaber;

  @XmlElement(required = false)
  private String kontonummer;

  @XmlElement(required = false)
  private String kreditinstitut;

  public String getBankleitzahl() {
    return bankleitzahl;
  }

  public void setBankleitzahl(String bankleitzahl) {
    this.bankleitzahl = bankleitzahl;
  }

  public String getBic() {
    return bic;
  }

  public void setBic(String bic) {
    this.bic = bic;
  }

  public String getIban() {
    return iban;
  }

  public void setIban(String iban) {
    this.iban = iban;
  }

  public String getIbanBearbeiter() {
    return ibanBearbeiter;
  }

  public void setIbanBearbeiter(String ibanBearbeiter) {
    this.ibanBearbeiter = ibanBearbeiter;
  }

  public String getIbanVorAenderung() {
    return ibanVorAenderung;
  }

  public void setIbanVorAenderung(String ibanVorAenderung) {
    this.ibanVorAenderung = ibanVorAenderung;
  }

  public String getKontoinhaber() {
    return kontoinhaber;
  }

  public void setKontoinhaber(String kontoinhaber) {
    this.kontoinhaber = kontoinhaber;
  }

  public String getKontonummer() {
    return kontonummer;
  }

  public void setKontonummer(String kontonummer) {
    this.kontonummer = kontonummer;
  }

  public String getKreditinstitut() {
    return kreditinstitut;
  }

  public void setKreditinstitut(String kreditinstitut) {
    this.kreditinstitut = kreditinstitut;
  }
}
